<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:19 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>BiquadFilter.BiquadFilterInstance</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BiquadFilter.BiquadFilterInstance";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/playground/drawingar/BiquadFilter.html" title="class in com.playground.drawingar"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/playground/drawingar/MainActivity.html" title="class in com.playground.drawingar"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html" target="_top">Frames</a></li>
<li><a href="BiquadFilter.BiquadFilterInstance.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.playground.drawingar</div>
<h2 title="Class BiquadFilter.BiquadFilterInstance" class="title">Class BiquadFilter.BiquadFilterInstance</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.playground.drawingar.BiquadFilter.BiquadFilterInstance</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../com/playground/drawingar/BiquadFilter.html" title="class in com.playground.drawingar">BiquadFilter</a></dd>
</dl>
<hr>
<br>
<pre>private class <span class="typeNameLabel">BiquadFilter.BiquadFilterInstance</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html#a0">a0</a></span></code>
<div class="block">The A 0.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html#a1">a1</a></span></code>
<div class="block">The A 0.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html#a2">a2</a></span></code>
<div class="block">The A 0.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html#b1">b1</a></span></code>
<div class="block">The A 0.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html#b2">b2</a></span></code>
<div class="block">The A 0.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html#Fc">Fc</a></span></code>
<div class="block">The Fc.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html#Q">Q</a></span></code>
<div class="block">The Fc.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html#z1">z1</a></span></code>
<div class="block">The Z 1.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html#z2">z2</a></span></code>
<div class="block">The Z 1.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html#BiquadFilterInstance-double-">BiquadFilterInstance</a></span>(double&nbsp;fc)</code>
<div class="block">Instantiates a new Biquad filter instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html#calcBiquad--">calcBiquad</a></span>()</code>
<div class="block">Calc biquad.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>(package private) double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html#process-double-">process</a></span>(double&nbsp;in)</code>
<div class="block">Process double.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="a0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>a0</h4>
<pre>double a0</pre>
<div class="block">The A 0.</div>
</li>
</ul>
<a name="a1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>a1</h4>
<pre>double a1</pre>
<div class="block">The A 0.</div>
</li>
</ul>
<a name="a2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>a2</h4>
<pre>double a2</pre>
<div class="block">The A 0.</div>
</li>
</ul>
<a name="b1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>b1</h4>
<pre>double b1</pre>
<div class="block">The A 0.</div>
</li>
</ul>
<a name="b2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>b2</h4>
<pre>double b2</pre>
<div class="block">The A 0.</div>
</li>
</ul>
<a name="Fc">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Fc</h4>
<pre>double Fc</pre>
<div class="block">The Fc.</div>
</li>
</ul>
<a name="Q">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Q</h4>
<pre>double Q</pre>
<div class="block">The Fc.</div>
</li>
</ul>
<a name="z1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>z1</h4>
<pre>double z1</pre>
<div class="block">The Z 1.</div>
</li>
</ul>
<a name="z2">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>z2</h4>
<pre>double z2</pre>
<div class="block">The Z 1.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BiquadFilterInstance-double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BiquadFilterInstance</h4>
<pre>BiquadFilterInstance(double&nbsp;fc)</pre>
<div class="block">Instantiates a new Biquad filter instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fc</code> - the fc</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="process-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>process</h4>
<pre>double&nbsp;process(double&nbsp;in)</pre>
<div class="block">Process double.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>in</code> - the in</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the double</dd>
</dl>
</li>
</ul>
<a name="calcBiquad--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>calcBiquad</h4>
<pre>void&nbsp;calcBiquad()</pre>
<div class="block">Calc biquad.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/playground/drawingar/BiquadFilter.html" title="class in com.playground.drawingar"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/playground/drawingar/MainActivity.html" title="class in com.playground.drawingar"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/playground/drawingar/BiquadFilter.BiquadFilterInstance.html" target="_top">Frames</a></li>
<li><a href="BiquadFilter.BiquadFilterInstance.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
